Create BigQuery Instance
This operation creates BigQuery Instance.
- application/json
Request Body
instanceProperties object
instance object
instanceName string requiredName of the Instance to be created
applicationId integer requiredDefault value:
134clientName string requiredCloud account name
cloudAppsInstance object
instanceType string requiredDefault value:
GCP_BIGQUERYgeneralCloudProperties object
accessNodes object
memberServers object[]
client object
clientGroupName string requiredDefault value:
CLIENT_GROUP_ENTITY_type_ string requiredcloudBigQueryInstance object
projectId string requiredcloudStagingPath string requiredplanEntity object
planId integer required
Responses
- 200
- 400
- 401
OK
- application/json
- Schema
- Example (from schema)
- Example 1
Schema
processinginstructioninfo object
attributes object[]
name stringvalue stringresponse object
warningCode integererrorCode integerwarningMessage stringentity object
subclientId integerclientId integer_SubclType_ integerinstanceName stringinstanceId integer_type_ integer
{
"processinginstructioninfo": {
"attributes": [
{
"name": "string",
"value": "string"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "string",
"entity": {
"subclientId": 0,
"clientId": 0,
"_SubclType_": 0,
"instanceName": "string",
"instanceId": 0,
"_type_": 0
}
}
}
{
"processinginstructioninfo": {
"attributes": [
{
"name": "exitval",
"value": "0"
}
]
},
"response": {
"warningCode": 0,
"errorCode": 0,
"warningMessage": "",
"entity": {
"subclientId": 3933,
"clientId": 1206,
"_SubclType_": 0,
"instanceName": "BigQuery3",
"instanceId": 1337,
"_type_": 0
}
}
}
Bad Request
- application/json
- Schema
- Example
Schema
- string
Request body is empty or format is invalid.
Unauthorized
- application/json
- Schema
- Example (from schema)
- Example
Schema
- errorMessage string
- errorCode integer
{
"errorMessage": "string",
"errorCode": 0
}
{
"errorMessage": "Access Denied",
"errorCode": 5
}
Loading...